<template>
    <v-card class="search-content">
        <v-tabs color="grey accent-4" grow>
            <v-tab @click="()=>{ getPersons('all'); mode='all'}">wszystkie</v-tab>
            <v-tab @click="()=>{ getPersons('nearby'); mode='nearby'}" class="align-center">w okolicy</v-tab>
            <SettingsComponent @save="()=>{getPersons(mode)}"/>
            <v-tab-item v-for="n in 2" :key="n">
                <v-container fluid>                    
                    <v-row>
                        <v-col v-for="(person, index) in persons" :key="index" cols="12" md="4">
                            <Person :data="person" />
                        </v-col>
                    </v-row>
                </v-container>
            </v-tab-item>
        </v-tabs>
    </v-card>
</template>
<script>
import getPersons from '../mixins/getPersons';
export default {
    name: 'SearchContent',
    mixins: [getPersons],
    data() {
        return {
            persons: [

            ],
            mode: 'all'
        }
    },

    mounted() {
    }
}
</script>
<style lang="scss" scoped>
.search-content {
    overflow: scroll;
}
</style>